<?php
/* This file is part of BBClone (A PHP based Web Counter on Steroids)
 * 
 * SVN FILE $Id: show_config.php 356 2015-12-11 10:49:19Z joku $
 *  
 * Copyright (C) 2001-2016, the BBClone Team (see doc/authors.txt for details)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * See doc/copying.txt for details
 */

/////////////////////////
// Show Config BBClone //
/////////////////////////



// Generate page
echo $BBC_HTML->html_begin()
    .$BBC_HTML->topbar()
	.'<form action="'.common::GetUrl('Admin_BBC_Configuration').'" method="post">'
	.'<input type="hidden" name="cmd" value="bbc_saveconfig" />'
	.'<input type="hidden" name="verified" value="'.common::new_nonce('post',true).'" />'
    ."<table class=\"center\">\n"
    ."<tr><td class=\"padding\">\n"
    ."<table class=\"centerbox\">\n"
    ."<tr><td>\n"
    ."<table class=\"centerdata\">\n"
// TABLE TITLES
    ."<tr>\n"
    ."<td class=\"label\" width=\"20%\">".$translation['config_variable_name']."</td>\n"
    ."<td class=\"label\" width=\"60%\">".$translation['config_explanations']."</td>\n"
    ."<td class=\"label\" width=\"20%\">".$translation['config_variable_value']."</td>\n"
    ."</tr>\n"
	//.$BBC_HTML->show_config($config, "BBC_MAINSITE")
    //.$BBC_HTML->show_config($config, "BBC_SHOW_CONFIG", 1)
	//.$BBC_HTML->show_config($config, "BBC_CSS_FILE")
    //.$BBC_HTML->show_config($config, "BBC_HITS", 1)
    //.$BBC_HTML->show_config($config, "BBC_USE_ORIGINAL_URI", 1)
	//.$BBC_HTML->show_config($config, "BBC_LANGUAGE")
    .$BBC_HTML->show_config($config, "BBC_TITLEBAR")
	.$BBC_HTML->show_config($config, "BBC_DETAILED_STAT_FIELDS")
	.$BBC_HTML->show_config($config, "BBC_MAX_PAGENAME")
	.$BBC_HTML->show_config($config, array('BBC_MAXBROWSER','BBC_MAXEXTENSION','BBC_MAXOS','BBC_MAXROBOT','BBC_MAXHOST','BBC_MAXKEY','BBC_MAXORIGIN','BBC_MAXPAGE'))
    .$BBC_HTML->show_config($config, "BBC_MAXVISIBLE")
    .$BBC_HTML->show_config($config, "BBC_MAXTIME")
    .$BBC_HTML->show_config($config, "BBC_TIME_OFFSET")
    .$BBC_HTML->show_config($config, "BBC_IGNORE_REFER")
    .$BBC_HTML->show_config($config, "BBC_IGNORE_BOTS")
    .$BBC_HTML->show_config($config, "BBC_IGNORE_AGENT", 1)
	.$BBC_HTML->show_config($config, "BBC_IGNORE_IP")
    .$BBC_HTML->show_config($config, "BBC_EXT_LOOKUP")
	.$BBC_HTML->show_config($config, "BBC_NO_DNS", 1)	
	.$BBC_HTML->show_config($config, "BBC_WHOIS")
    .$BBC_HTML->show_config($config, "BBC_PURGE_SINGLE", 1)
    .$BBC_HTML->show_config($config, "BBC_NO_HITS", 1)
	.$BBC_HTML->show_config($config, "BBC_LOADTIME", 1)
	.$BBC_HTML->show_config($config, "BBC_DEBUG", 1)
	.$BBC_HTML->show_config($config, "BBC_KILL_STATS", 1)
	
	."<tr class=\"morethan_row hover_white\">\n"
    ."<td align=\"left\" class=\"config-cell\"> </td>\n"
    ."<td align=\"left\" class=\"config-cell text-wrap\"> </td>\n"
    ."<td align=\"left\" class=\"config-cell\">\n"
    ."<input type=\"submit\" value=\"".$langmessage['save']."\"></td></tr>\n"	
    ."</table>\n"
    ."</td></tr></table>\n"
    ."</td></tr></table>\n"
	."</form>"
    .$BBC_HTML->copyright()
    .$BBC_HTML->topbar(0, 1);


// End of HTML
echo $BBC_HTML->html_end()
?>
